Ir para o conteúdo
Documentação do Endless

Complete scheduled task run

POST
/scheduled-tasks/{scheduled_task_id}/runs

Complete scheduled task run. Scoped to the scheduled task named by scheduled_task_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

scheduled_task_id*string
Formatuuid

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/scheduled-tasks/0191e5a2-c15d-7147-ba2f-7c8e0d36f915/runs" \  -H "Content-Type: application/json" \  -d '{    "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",    "status": "success"  }'
{  "run": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "scheduled_task_id": "e2519cc6-ddb2-4dff-9e00-afeaa3005950",    "organization_id": "string",    "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",    "workflow_run_id": "string",    "triggered_by_id": "string",    "status": "in_progress",    "error": "string",    "started_at": "2019-08-24T14:15:22Z",    "heartbeat_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z",    "credits_used": 0,    "credits_refunded": 0  },  "transitioned": true,  "has_output": true,  "email_sent": true}